<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [RunningScript](./bitburner.runningscript.md) &gt; [ramUsage](./bitburner.runningscript.ramusage.md)

## RunningScript.ramUsage property

How much RAM this script uses for ONE thread

**Signature:**

```typescript
ramUsage: number;
```
